Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.collection
Class CachedListImpl.MyListIterator

    java.lang.Object
      org.jboss.cache.aop.collection.CachedListImpl.MyListIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.ListIterator

Enclosing class:
  CachedListImpl

    protected static class CachedListImpl.MyListIterator

extends java.lang.Object
implements java.util.ListIterator

Field Summary
`protected int` | `index`
`protected java.util.List` | `list_`

Constructor Summary
`CachedListImpl.MyListIterator(java.util.List list, int index)`

Method Summary
`void` | `add(java.lang.Object o)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`java.lang.Object` | `next()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected int index

### list_

    protected java.util.List list_

Constructor Detail

### CachedListImpl.MyListIterator

    public CachedListImpl.MyListIterator(java.util.List list,
                                         int index)

Method Detail

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `java.util.ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `java.util.ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Specified by:
    `remove` in interface `java.util.ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in interface `java.util.ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `java.util.ListIterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `java.util.ListIterator`

### previous

    public java.lang.Object previous()

  Specified by:
    `previous` in interface `java.util.ListIterator`

### add

    public void add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.ListIterator`

### set

    public void set(java.lang.Object o)

  Specified by:
    `set` in interface `java.util.ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.